<template>
  <!-- MyStation 'AppContainer' global component -->
  <AppContainer
    :app="GLOBALS.__APP_NAME__"
    :tabs="tabs"
    :defaultTab=0
  >
    <!-- Empty content -->
  </AppContainer>
</template>

<script>
import { BaseComponent } from '@/utils/'

import FeedsTab from '@/components/tabs/Feeds'
import OptionsTab from '@/components/tabs/Options'

import { init } from '@/init/'

export default {
  extends: BaseComponent,
  data () {
    return {
      tabs: [
        {
          title: __MYSTATION__.$h.capitalize(__MYSTATION__.$t(`${__T_PREFIX__}.tabs.feeds`)),
          component: FeedsTab,
          click: function () {
            // console.log('tab 1 clicked')
          }
        },
        {
          title: __MYSTATION__.$h.capitalize(__MYSTATION__.$t(`${__T_PREFIX__}.tabs.options`)),
          component: OptionsTab,
          click: function () {
            // console.log('tab 2 clicked')
          }
        }
      ]
    }
  },
  state: {
    MyFeedsModule: [
      'feeds',
      'feedsLoaded'
    ]
  },
  actions: {
    MyFeedsModule: [
      'initFeeds'
    ]
  },
  async mounted () {
    // Init call in main app component 'mounted' hook
    await init()
    // Do other stuff in mounted hook
    // ...
    if (!this.feedsLoaded) {
      this.initFeeds()
    }
  }
}
</script>
